 
( function( $ ) {
    "use strict"; 
	var WidgetFilterHandler = function( $scope, $ ) {
		console.log( $scope );

        //filter js
        var pixifilter = $('.pixi-grid');
        if(pixifilter.length){
            $('.pixi-grid').imagesLoaded(function() {
                $('.pixi-filter').on('click', 'button', function() {
                    var filterValue = $(this).attr('data-filter');
                    $grid.isotope({
                        filter: filterValue
                    });
                });
                var $grid = $('.pixi-grid').isotope({
                    itemSelector: '.grid-item',
                    percentPosition: true,
                    masonry: {
                        columnWidth: '.grid-item',
                    }
                });
            });
        }   
            
        // Isotop Filter
        if ($('.pixi-filter button').length) {
            var projectfiler = $('.pixi-filter button');
                if(projectfiler.length){
                $('.pixi-filter button').on('click', function(event) {
                    $(this).siblings('.active').removeClass('active');
                    $(this).addClass('active');
                    event.preventDefault();
                });
            }
        }

            
	};
	
	// Make sure you run this code under Elementor.
	$( window ).on( 'elementor/frontend/init', function() {
		elementorFrontend.hooks.addAction( 'frontend/element_ready/pixi-adv-gallery-filter.default', WidgetFilterHandler );
	} );
} )( jQuery );


 